Package twisted :: Package scripts :: Module conch :: Class GeneralOptions

[frames | no frames]

## Class GeneralOptions

    dict --+
           |
     Options --+
               |
              GeneralOptions

Method Summary
| ``opt_cipher`(self, cipher)` Select encryption algorithm
| ``opt_compress`(self)` Enable compression
| ``opt_escape`(self, esc)` Set escape character; ``none'' = disable
| ``opt_identity`(self, i)` Identity for public-key authentication
| ``opt_localforward`(self, f)` Forward local port to remote address (lport:host:port)
| ``opt_macs`(self, mac)` Specify MAC algorithms
| ``opt_remoteforward`(self, f)` Forward remote port to local address (rport:host:port)
| `parseArgs(self, host, *command)`
Inherited from Options
| ``__init__`(self)`
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseOptions`(self, options)` The guts of the command-line parser.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`list` | `identitys` = `[]`
`list` | `localForwards` = `[]`
`list` | `optFlags` = `[['null', 'n', 'Redirect input from /dev/null...`
`list` | `optParameters` = `[['user', 'l', None, 'Log in using this ...`
`list` | `remoteForwards` = `[]`
`str` | `synopsis` = `'Usage: conch [options] host [command]\n '...`
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### opt_cipher(self, cipher)

Select encryption algorithm

### opt_compress(self)

Enable compression

### opt_escape(self, esc)

Set escape character; ``none'' = disable

### opt_identity(self, i)

Identity for public-key authentication

### opt_localforward(self, f)

Forward local port to remote address (lport:host:port)

### opt_macs(self, mac)

Specify MAC algorithms

### opt_remoteforward(self, f)

Forward remote port to local address (rport:host:port)

Class Variable Details

### identitys

  Type:
    `list`
  Value:

        []

### localForwards

  Type:
    `list`
  Value:

        []

### optFlags

  Type:
    `list`
  Value:

        [['null', 'n', 'Redirect input from /dev/null.'],
         ['fork', 'f', 'Fork to background after authentication.'],
         ['tty', 't', 'Tty; allocate a tty even if command is given.'],
         ['notty', 'T', 'Do not allocate a tty.'],
         ['version', 'V', 'Display version number only.'],
         ['compress', 'C', 'Enable compression.'],
         ['noshell', 'N', 'Do not execute a shell or command.'],
         ['subsystem', 's', 'Invoke command (mandatory) as SSH2 subsystem.'],
        ...

### optParameters

  Type:
    `list`
  Value:

        [['user', 'l', None, 'Log in using this user name.'],
         ['identity', 'i', None],
         ['escape', 'e', '~'],
         ['cipher', 'c', None],
         ['macs', 'm', None],
         ['port',
          'p',
          None,
        ...

### remoteForwards

  Type:
    `list`
  Value:

        []

### synopsis

  Type:
    `str`
  Value:

        '''Usage:    conch [options] host [command]
         '''

Generated by Epydoc 2.0 on Wed Feb 25 07:37:06 2004 | http://epydoc.sf.net